DigestMethod (Java Platform SE 8 )
Keywords: javax.xml.crypto.dsig.DigestMethod interface
Date: 2015-11-19

compact3
javax.xml.crypto.dsig

## Interface DigestMethod

- All Superinterfaces:
    AlgorithmMethod, XMLStructure

      public interface DigestMethod
      extends XMLStructure, AlgorithmMethod

  A representation of the XML `DigestMethod` element as defined in the W3C Recommendation for XML-Signature Syntax and Processing. The XML Schema Definition is defined as:

         <element name="DigestMethod" type="ds:DigestMethodType"/>
           <complexType name="DigestMethodType" mixed="true">
             <sequence>
               <any namespace="##any" minOccurs="0" maxOccurs="unbounded"/>
                 <!-- (0,unbounded) elements from (1,1) namespace -->
             </sequence>
             <attribute name="Algorithm" type="anyURI" use="required"/>
           </complexType>

  A `DigestMethod` instance may be created by invoking the `newDigestMethod` method of the `XMLSignatureFactory` class.
  Since:
    1.6
  See Also:
    `XMLSignatureFactory.newDigestMethod(String, DigestMethodParameterSpec)`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `RIPEMD160` The RIPEMD-160 digest method algorithm URI.
    `static String` | `SHA1` The SHA1 digest method algorithm URI.
    `static String` | `SHA256` The SHA256 digest method algorithm URI.
    `static String` | `SHA512` The SHA512 digest method algorithm URI.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AlgorithmParameterSpec` | `getParameterSpec()` Returns the algorithm-specific input parameters associated with this `DigestMethod`.

    - ### Methods inherited from interface javax.xml.crypto.XMLStructure

      `isFeatureSupported`

    - ### Methods inherited from interface javax.xml.crypto.AlgorithmMethod

      `getAlgorithm`

- - ### Field Detail

    - #### SHA1

          static final String SHA1

      The SHA1 digest method algorithm URI.
      See Also:
        Constant Field Values

    - #### SHA256

          static final String SHA256

      The SHA256 digest method algorithm URI.
      See Also:
        Constant Field Values

    - #### SHA512

          static final String SHA512

      The SHA512 digest method algorithm URI.
      See Also:
        Constant Field Values

    - #### RIPEMD160

          static final String RIPEMD160

      The RIPEMD-160 digest method algorithm URI.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getParameterSpec

          AlgorithmParameterSpec getParameterSpec()

      Returns the algorithm-specific input parameters associated with this `DigestMethod`.

      The returned parameters can be typecast to a `DigestMethodParameterSpec` object.

      Specified by:
        `getParameterSpec` in interface `AlgorithmMethod`
      Returns:
        the algorithm-specific parameters (may be `null` if not specified)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.